package com.xunmei.core.resumption.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xunmei.core.resumption.domain.AppResumptionDataNfc;
import com.xunmei.core.resumption.vo.ResumptionNfcInfoVo;
import com.xunmei.core.resumption.vo.ResumptionNfcVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 履职nfc扫描表(t_app_resumption_data_nfc)数据Mapper
 *
 * @author oygj
 * @since 2022-05-06 08:37:04
 * @description 由 Mybatisplus Code Generator 创建
*/
@Mapper
public interface AppResumptionDataNfcMapper extends BaseMapper<AppResumptionDataNfc> {

    List<Map<String, Object>> findnfcDataList(Map<String, Object> map);

    List<Map<String, Object>> findnfcDataListByPointid(Map<String, Object> parmar);

    List<Map<String, Object>> findnfcDataListNew(Map<String, Object> parmar);

    List<Map<String, Object>> findnfcDataListByPointidNew(Map<String, Object> parmar);

    List<ResumptionNfcInfoVo> findPointNfcData(Map<String, Object> parmar);

    List<ResumptionNfcVo> findNfcByAreaIdAndOrgId(Map<String, Object> param);
}
